[arch-commits] Commit in mkisolinux/repos (6 files)

Felix Yan felixonmars at archlinux.org
Sat May 16 10:01:08 UTC 2020


    Date: Saturday, May 16, 2020 @ 10:01:07
  Author: felixonmars
Revision: 384006

archrelease: copy trunk to staging-any

Added:
  mkisolinux/repos/staging-any/
  mkisolinux/repos/staging-any/PKGBUILD
    (from rev 384005, mkisolinux/trunk/PKGBUILD)
  mkisolinux/repos/staging-any/boot.msg
    (from rev 384005, mkisolinux/trunk/boot.msg)
  mkisolinux/repos/staging-any/mkisolinux
    (from rev 384005, mkisolinux/trunk/mkisolinux)
  mkisolinux/repos/staging-any/mkisolinux.conf
    (from rev 384005, mkisolinux/trunk/mkisolinux.conf)
  mkisolinux/repos/staging-any/options.msg
    (from rev 384005, mkisolinux/trunk/options.msg)

-----------------+
 PKGBUILD        |   27 ++++++++++++
 boot.msg        |   14 ++++++
 mkisolinux      |  115 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 mkisolinux.conf |   38 +++++++++++++++++
 options.msg     |    6 ++
 5 files changed, 200 insertions(+)

Copied: mkisolinux/repos/staging-any/PKGBUILD (from rev 384005, mkisolinux/trunk/PKGBUILD)
===================================================================
--- staging-any/PKGBUILD	                        (rev 0)
+++ staging-any/PKGBUILD	2020-05-16 10:01:07 UTC (rev 384006)
@@ -0,0 +1,27 @@
+# Maintainer : Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=mkisolinux
+pkgver=2013.05
+pkgrel=3
+pkgdesc="Advanced, modular isolinux bootcd image creation utility"
+arch=(any)
+license=('GPL')
+url="http://www.archlinux.org/"
+depends=('mkinitcpio' 'cdrkit' 'syslinux' 'pciutils')
+replaces=('mkbootcd')
+backup=(etc/mkisolinux.conf)
+source=('boot.msg' 'mkisolinux' 'mkisolinux.conf' 'options.msg')
+
+
+package()
+{
+  cd "$srcdir/"
+  install -D -m755 mkisolinux "$pkgdir/usr/bin/mkisolinux"
+  install -D -m644 mkisolinux.conf "$pkgdir/etc/mkisolinux.conf"
+  install -D -m644 boot.msg "$pkgdir/usr/share/mkisolinux/boot.msg"
+  install -D -m644 options.msg "$pkgdir/usr/share/mkisolinux/options.msg"
+}
+md5sums=('6cc9a8927353479a5426b85c0ae1d826'
+         '63d57dadf1c419247290f98069c8a7ca'
+         'd5ee4d71b2f700608433c6055a9887d2'
+         'b211c5f7e30d2ee36cde20f71aa3f2b8')

Copied: mkisolinux/repos/staging-any/boot.msg (from rev 384005, mkisolinux/trunk/boot.msg)
===================================================================
--- staging-any/boot.msg	                        (rev 0)
+++ staging-any/boot.msg	2020-05-16 10:01:07 UTC (rev 384006)
@@ -0,0 +1,14 @@
+
+
+------------------------------------------------------------------------------
+Arch Linux
+ISOLINUX BOOT
+created with 'mkisolinux' written by Tobias Powalowski <tpowa at archlinux.org>
+
+Press ENTER or type 'arch' to boot the CD.
+
+If you wish to change your defaults to boot into your existing system,
+type 'vmlinuz initrd=initrd.img <any_other_boot_option>'
+Use the F2 key for troubleshooting and options.
+------------------------------------------------------------------------------
+

Copied: mkisolinux/repos/staging-any/mkisolinux (from rev 384005, mkisolinux/trunk/mkisolinux)
===================================================================
--- staging-any/mkisolinux	                        (rev 0)
+++ staging-any/mkisolinux	2020-05-16 10:01:07 UTC (rev 384006)
@@ -0,0 +1,115 @@
+#! /bin/sh
+# Created by Tobias Powalowski <tpowa at archlinux.org>
+# Settings
+APPNAME=$(basename "${0}")
+CONFIG="/etc/mkisolinux.conf"
+GENIMG=""
+BURN="0"
+BLANK="0"
+TARNAME=""
+export TEMPDIR=$(mktemp -d /tmp/mkisolinux.XXXX)
+usage ()
+{
+    echo "${APPNAME}: usage"
+    echo "  -g=IMAGE         Generate a ISO image as IMAGE"
+    echo "  -c=CONFIG        Use CONFIG file. default: /etc/mkisolinux.conf"
+    echo "  -B               Burn the ISO image after creation"
+    echo "  -b               Blanking media first"
+    echo "  -h               This message."
+    exit 1
+}
+
+[ "$1" == "" ] && usage
+
+while [ $# -gt 0 ]; do
+	case $1 in
+		-c=*|--c=*) CONFIG="$(echo $1 | awk -F= '{print $2;}')" ;;
+		-g=*|--g=*) GENIMG="$(echo $1 | awk -F= '{print $2;}')" ;;
+		-B|--B) BURN="1" ;;
+		-b|--b) BLANK="1" ;;
+		-t=*|--t=*) TARNAME="$(echo $1 | awk -F= '{print $2;}')" ;;
+		-h|--h|?) usage ;; 
+		*) usage ;;
+		esac
+	shift
+done
+
+if [ "${TARNAME}" = "" -a "${GENIMG}" = "" ]; then 
+	echo "ERROR: No image name specified, please use the -g option"
+	exit 1
+fi
+
+if [ ! -f "${CONFIG}" ]; then
+	echo "config file '${CONFIG}' cannot be found, aborting..."
+	exit 1
+fi
+
+. "${CONFIG}"
+# export for mkinitcpio
+[ -n "${APPENDBOOTMESSAGE}" ] && export APPENDBOOTMESSAGE
+[ -n "${APPENDOPTIONSBOOTMESSAGE}" ] && export APPENDOPTIONSBOOTMESSAGE
+
+export RUNPROGRAM="${APPNAME}"
+export BOOTDIRNAME="boot/syslinux"
+
+[ "${BOOTMESSAGE}" = "" ] && export BOOTMESSAGE=$(mktemp /tmp/bootmessage.XXXX)
+[ "${OPTIONSBOOTMESSAGE}" = "" ] && export OPTIONSBOOTMESSAGE=$(mktemp /tmp/optionsbootmessage.XXXX)
+[ "${ISONAME}" = "" ] && export ISONAME=$(mktemp /tmp/isoname.XXXX)
+export USEKERNEL=${VERSION}
+
+# begin script
+mkdir -p ${TEMPDIR}/${BOOTDIRNAME}/
+# prepare syslinux
+install -m755 /usr/lib/syslinux/isolinux.bin ${TEMPDIR}/${BOOTDIRNAME}/isolinux.bin
+for i in /usr/lib/syslinux/*.c32; do
+    install -m644 $i ${TEMPDIR}/${BOOTDIRNAME}/$(basename $i)
+done
+install -m644 /usr/share/hwdata/pci.ids ${TEMPDIR}/${BOOTDIRNAME}/pci.ids
+# create syslinux.cfg
+echo ":: Creating syslinux.cfg ..."
+if [ "${ISOLINUXCFG}" = "" ]; then
+	[ -e  ${TEMPDIR}/${BOOTDIRNAME}/syslinux.cfg ] && rm  ${TEMPDIR}/${BOOTDIRNAME}/syslinux.cfg
+	echo "prompt ${PROMPT}" >>  ${TEMPDIR}/${BOOTDIRNAME}/syslinux.cfg
+	echo "timeout ${TIMEOUT}" >>  ${TEMPDIR}/${BOOTDIRNAME}/syslinux.cfg
+	echo "display boot.msg" >>  ${TEMPDIR}/${BOOTDIRNAME}/syslinux.cfg
+	echo "F1 boot.msg" >>  ${TEMPDIR}/${BOOTDIRNAME}/syslinux.cfg
+	echo "F2 options.msg" >>  ${TEMPDIR}/${BOOTDIRNAME}/syslinux.cfg
+	echo "default arch"  >>  ${TEMPDIR}/${BOOTDIRNAME}/syslinux.cfg
+	echo "label arch" >>  ${TEMPDIR}/${BOOTDIRNAME}/syslinux.cfg
+	echo "kernel /boot/vmlinuz" >>  ${TEMPDIR}/${BOOTDIRNAME}/syslinux.cfg
+	echo "append initrd=/boot/initrd.img ${KERNEL_BOOT_OPTIONS}" >>  ${TEMPDIR}/${BOOTDIRNAME}/syslinux.cfg
+else
+	sed "s|@@PROMPT@@|${PROMPT}|g;s|@@TIMEOUT@@|${TIMEOUT}|g;s|@@KERNEL_BOOT_OPTIONS@@|${KERNEL_BOOT_OPTIONS}|g" \
+		${ISOLINUXCFG} > ${TEMPDIR}/${BOOTDIRNAME}/syslinux.cfg
+fi
+[ ! -s ${TEMPDIR}/${BOOTDIRNAME}/syslinux.cfg ] && echo "No syslinux.cfg found" && exit 1
+
+echo ":: Calling mkinitcpio CONFIG=${MKINITCPIO_CONFIG} KERNEL=${VERSION} ..." 
+# generate initramdisk
+echo ":: Creating initramdisk ..."
+	mkinitcpio -c ${MKINITCPIO_CONFIG} -k ${VERSION} -g ${TEMPDIR}/boot/initrd.img
+echo ":: Using ${KERNEL} as image kernel ..."
+	install -m644 ${KERNEL} ${TEMPDIR}/boot/vmlinuz
+	install -m644 ${BOOTMESSAGE} ${TEMPDIR}/${BOOTDIRNAME}/boot.msg
+	install -m644 ${OPTIONSBOOTMESSAGE} ${TEMPDIR}/${BOOTDIRNAME}/options.msg
+	[ ! -s ${TEMPDIR}/${BOOTDIRNAME}/boot.msg ] && echo 'ERROR:no boot.msg found, aborting!' && exit 1
+	[ ! -s ${TEMPDIR}/${BOOTDIRNAME}/options.msg ] && echo 'ERROR:no options.msg found, aborting!' && exit 1
+# create image
+echo ":: Creating ISO image ..."
+	[ -e ${GENIMG} ] && rm ${GENIMG}
+	[ -s "${ISONAME}" ] && ISONAME=$(cat $ISONAME) || ISONAME="Arch Linux"
+	mkisofs -RlDJLV "${ISONAME}" -b boot/syslinux/isolinux.bin -c boot/syslinux/boot.cat \
+		-no-emul-boot -boot-load-size 4 -boot-info-table -o ${GENIMG} ${TEMPDIR}/ > /dev/null 2>&1 \
+        && echo ":: ISO Image succesfull created at ${GENIMG}"
+	# burning/blanking image
+	if [ "$BLANK" = "1" ]; then
+		echo ":: Blanking media DEVICE=${DEVICE}, BLANKMODE=${BLANKMODE}, SPEED=${SPEED} ..."
+			cdrecord dev=${DEVICE} speed=${SPEED} blank=${BLANKMODE} > /dev/null 2>&1 && echo ":: Successfull."
+	fi
+	if [ "$BURN" = "1" ]; then
+		echo ":: Burning ISO image DEVICE=${DEVICE}, SPEED=${SPEED} ..."
+			cdrecord dev=${DEVICE} speed=${SPEED} -eject ${GENIMG}  > /dev/null 2>&1 && echo ":: Successfull."
+	fi
+
+# clean /tmp
+rm -r ${TEMPDIR}

Copied: mkisolinux/repos/staging-any/mkisolinux.conf (from rev 384005, mkisolinux/trunk/mkisolinux.conf)
===================================================================
--- staging-any/mkisolinux.conf	                        (rev 0)
+++ staging-any/mkisolinux.conf	2020-05-16 10:01:07 UTC (rev 384006)
@@ -0,0 +1,38 @@
+# Created by Tobias Powalowski <tpowa at archlinux.org>
+# config file of mkisolinux
+
+# DEFAULT kernel boot options like root=/dev/sda3 etc.
+# add your root= option, if you boot from a disk device
+# and don't want to add it by hand on each boot
+KERNEL_BOOT_OPTIONS=""
+
+# mkinitcpio config file, defaulted to stock config file
+MKINITCPIO_CONFIG="/etc/mkinitcpio.conf"
+
+# kernel version, defaulted to build for runtime kernel
+VERSION="$(uname -r)"
+
+# kernel image, defaulted to stock arch kernel
+KERNEL="/boot/vmlinuz-linux"
+
+# boot message files
+BOOTMESSAGE="/usr/share/mkisolinux/boot.msg"
+OPTIONSBOOTMESSAGE="/usr/share/mkisolinux/options.msg"
+
+# syslinux.cfg file to use
+SYSLINUXCFG=""
+
+# Prompt on boot, 1=yes 0=no
+PROMPT="1"
+
+# Name of the ISO, if empty Arch Linux is used if not set by a HOOK later
+ISONAME=""
+
+# Timeout, 30 seconds to fix usb keyboard issues
+# 0 means wait for prompt
+TIMEOUT="300"
+
+# Setting cdrecord options
+DEVICE=""
+SPEED=""
+BLANKMODE=""

Copied: mkisolinux/repos/staging-any/options.msg (from rev 384005, mkisolinux/trunk/options.msg)
===================================================================
--- staging-any/options.msg	                        (rev 0)
+++ staging-any/options.msg	2020-05-16 10:01:07 UTC (rev 384006)
@@ -0,0 +1,6 @@
+------------------------------------------------------------------------------
+Arch Linux options and troubleshooting:
+
+- If your system hangs during the boot process, any combinations of the
+  boot options noapic acpi=off pci=routeirq nosmp nomsi may be useful.
+------------------------------------------------------------------------------
\ No newline at end of file


More information about the arch-commits mailing list